al_get_first_config_section(3)

NAME

al_get_first_config_section - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    char const *al_get_first_config_section(ALLEGRO_CONFIG const *config,
       ALLEGRO_CONFIG_SECTION **iterator)

DESCRIPTION

Returns the name of the first section in the given config file. Usually this will return an empty string for the global section, even it contains no values. The iterator parameter will receive an opaque iterator which is used by al_get_next_config_section(3) to iterate over the remaining sections.

The returned string and the iterator are only valid as long as no change is made to the passed ALLEGRO_CONFIG.

SEE ALSO

al_get_next_config_section(3)